@Echo off&SetLocal

Set "KEY="&Set "GUID="&Set "IOV="&Set "MWB=32"&Set "MOB=32"

Echo=%PROCESSOR_ARCHITECTURE% %PROCESSOR_ARCHITEW6432%|Find "64">Nul&&(
   Set "KEY=\Wow6432Node"&Set "MWB=64")

Set "KEY=HKLM\Software%KEY%\Microsoft\Windows\CurrentVersion\Uninstall"

For /f "Delims=" %%a In ('Reg Query %KEY% /k /f "*-001B-*0FF1CE}"') Do (
   If Not Defined GUID Set "GUID=%%~nxa")

If Not Defined GUID (GoTo :NotFound)

If %GUID:~20,1% Equ 1 Set "MOB=64"

If %GUID:~4,1% Equ 4 (Set IOV=10) Else (
  If %GUID:~4,1% Equ 2 (Set IOV=07) Else (
      If %GUID:~4,1% Equ 5 (Set IOV=13) Else (
        If %GUID:~4,1% Equ 6 (Set IOV=16) Else (
          Goto :Check64bitOffice
        )
      )
  )
)

Goto :stopVer

:Check64bitOffice
REM #####################################################################################################
REM # Check for 64-bit Office
REM ##################################################################################################### 

Set "KEY="&Set "GUID="&Set "IOV="&Set "MWB=32"&Set "MOB=32"

Echo=%PROCESSOR_ARCHITECTURE% %PROCESSOR_ARCHITEW6432%|Find "64">Nul&&(
   Set "KEY=\Wow6432Node"&Set "MWB=64")

Set "KEY=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall"

For /f "Delims=" %%a In ('Reg Query %KEY% /k /f "*-0000-*0FF1CE}"') Do (
   If Not Defined GUID Set "GUID=%%~nxa")

If Not Defined GUID (GoTo :NotFound)

If %GUID:~20,1% Equ 1 Set "MOB=64"

If %GUID:~4,1% Equ 4 (Set IOV=10) Else (
  If %GUID:~4,1% Equ 2 (Set IOV=07) Else (
      If %GUID:~4,1% Equ 5 (Set IOV=13) Else (
        If %GUID:~4,1% Equ 6 (Set IOV=16) Else (
          GoTo :NotFound
        )
      )
  )
)

ver | find "5.1" > nul
 
if errorlevel = 1 goto next0
if errorlevel = 0 echo=Windows XP %MWB%-bit
 
:next0
ver | find "6.0" > nul
if errorlevel = 1 GoTo :next
if errorlevel = 0 echo=Windows Vista %MWB%-bit
 
:next
ver | find "6.1"
if errorlevel = 1 GoTo :next1
if errorlevel = 0 echo=Windows 7 %MWB%-bit
 
:next1
ver | find "6.2" > nul
if errorlevel = 1 GoTo :next2
if errorlevel = 0 echo=Windows 8 %MWB%-bit
 
:next2
ver | find "6.3" > nul
if errorlevel = 1 GoTo :next3
if errorlevel = 0 echo=Windows 8.1 %MWB%-bit

:next3
ver | find "10.0" > nul
if errorlevel = 1 GoTo :stopVer
if errorlevel = 0 echo=Windows 10 %MWB%-bit

:stopVer
Echo.


If %IOV% Geq 10 (
  Echo=&Echo=Microsoft Office 20%IOV% %MOB%-bit detected.
  Echo.
  If %IOV% Equ 16 (
    Echo=Skype for Business is already included in this version of Office.
    Echo.
    Echo.
    Echo=Installation is not required. Press any key to quit.
    Pause>Nul
    GoTo :End
  )
  Echo.
  Echo=Press any key to start downloading Skype for Business. 
  Echo.
  Pause>Nul
  If %MOB% Equ 32 (
      GoTo :Download32
  ) Else (
      GoTo :Download64
  )
) Else (
  Echo=&Echo=Microsoft Office 20%IOV% %MOB%-bit detected.
  Echo.
  Echo=Skype for Business requires Microsoft Office 2010 or later. Please upgrade your Microsoft Office from Software Centre.
  Echo.
  Echo.
  Echo=Press any key to quit.
  Pause>Nul
  GoTo :End
)

:NotFound
Echo=&Echo=Cannot determine Microsoft Office version. Press any key to quit.
Pause>Nul
endlocal

:Download32
Powershell -NoProfile -ExecutionPolicy Bypass -Command "(New-Object Net.WebClient).DownloadFile('https://nusit.nus.edu.sg/downloads/identify-MSoffice-version-dev.ps1', ([Environment]::GetFolderPath(\"Desktop\")+\"\identify-MSoffice-version.ps1\"))"
PowerShell -NoProfile -ExecutionPolicy Bypass -Command "& ([Environment]::GetFolderPath(\"Desktop\")+\"\identify-MSoffice-version.ps1\") -bits 32"
GoTo :End

:Download64
Powershell -NoProfile -ExecutionPolicy Bypass -Command "(New-Object Net.WebClient).DownloadFile('https://nusit.nus.edu.sg/downloads/identify-MSoffice-version-dev.ps1', ([Environment]::GetFolderPath(\"Desktop\")+\"\identify-MSoffice-version.ps1\"))"
PowerShell -NoProfile -ExecutionPolicy Bypass -Command "& ([Environment]::GetFolderPath(\"Desktop\")+\"\identify-MSoffice-version.ps1\") -bits 64"
GoTo :End

:End
endlocal

